#include "stdafx.h"

TBall::TBall(int X, int Y, int R, int C)
{
	x=X; y=Y; r=R; c=C;
	vx=rand()%9-4; vy=rand()%9-4; //    -4  +4
}

void TBall::paint(HDC hdc)
{
	HBRUSH brush, oldbrush;
	brush=CreateSolidBrush(c);
    oldbrush=(HBRUSH) SelectObject(hdc,brush);
    Ellipse(hdc,x-r,y-r,x+r,y+r); 
	SelectObject(hdc, oldbrush);
	DeleteObject(brush);
}

void TBall::step(HWND hWnd)
{
	RECT R;
	GetClientRect(hWnd,&R);
	if ( (x-r<R.left && vx<0) || (x+r>=R.right  && vx>0) ) vx=-vx;
	if ( (y-r<R.top  && vy<0) || (y+r>=R.bottom && vy>0) ) vy=-vy;
	x+=vx; y+=vy;
}
