#include "stdafx.h"

TFigures::TFigures(int Max)
{
	P = new PBall[MAXNUM=Max];
	NUM=0;
}

bool TFigures::add(LPARAM lParam,int kind)
{ if (NUM<MAXNUM)
  {
  if (kind)
	P[NUM++]=new TBall(LOWORD(lParam),HIWORD(lParam),
	rand()%20+5,RGB ( rand()%256, rand()%256, rand()%256));
  else
    P[NUM++]=new TBrick(LOWORD(lParam),HIWORD(lParam),
		rand()%20+5,RGB ( rand()%256, rand()%256, rand()%256));
   return true;
  }
  return false;
}

bool TFigures::del()
{
	if (NUM>0) { delete P[NUM-1]; NUM--; return true; }
	else return false;
}

void TFigures::paint(HDC hdc)
{
  for (int i=0; i<NUM; i++) P[i]->paint(hdc);
}

int sqr(int x) { return x*x; }

bool collision(PBall a, PBall b)
{
 return sqr(a->X()-b->X())+sqr(a->Y()-b->Y()) < sqr (a->R()+b->R());
}

void TFigures::step(HWND hWnd)
{
	for (int i=0; i<NUM; i++)
		for (int j=0; j<i; j++)
			if (collision(P[i],P[j])) { P[i]->hit(); P[j]->hit(); }
															  			
	for (int i=0; i<NUM; i++) P[i]->step(hWnd);
}